<form class="form-signin" #loginForm="ngForm" (ngSubmit)="login(loginForm)">
  <div class="container-fluid">
    <h2 class="form-signin-heading">Login</h2>
    <div *ngIf="invalidLogin" class="alert alert-danger">Invalid username or password.</div>
    <br />
    <label for="username" class="sr-only">Email address</label>
    <input type="email" id="username" name="username" ngModel class="form-control" placeholder="User Name" required autofocus>
    <br />
    <label for="password" class="sr-only">Password</label>
    <input type="password" id="password" name="password" ngModel class="form-control" placeholder="Password" required>
    <br />
    <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
    <div *ngIf="isLoggedIn()">
      <button class="btn btn-lg btn-danger btn-block" (click)="logout()" type="button">Log out</button>
    </div>
  </div>
</form>
